# DaprProtos.InvokeActorRequest.Builder (dapr-sdk-parent 1.10.0 API)

Package io.dapr.v1

## Class DaprProtos.InvokeActorRequest.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.InvokeActorRequest.Builder>
      - - io.dapr.v1.DaprProtos.InvokeActorRequest.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `DaprProtos.InvokeActorRequestOrBuilder`, `Cloneable`

Enclosing class:
  DaprProtos.InvokeActorRequest

    public static final class DaprProtos.InvokeActorRequest.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.InvokeActorRequest.Builder>
    implements DaprProtos.InvokeActorRequestOrBuilder

     InvokeActorRequest is the message to call an actor.

Protobuf type `dapr.proto.runtime.v1.InvokeActorRequest`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
`DaprProtos.InvokeActorRequest.Builder` `addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`DaprProtos.InvokeActorRequest` `build()`
`DaprProtos.InvokeActorRequest` `buildPartial()`
`DaprProtos.InvokeActorRequest.Builder` `clear()`
`DaprProtos.InvokeActorRequest.Builder` `clearActorId()` `string actor_id = 2;`
`DaprProtos.InvokeActorRequest.Builder` `clearActorType()` `string actor_type = 1;`
`DaprProtos.InvokeActorRequest.Builder` `clearData()` `bytes data = 4;`
`DaprProtos.InvokeActorRequest.Builder` `clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)`
`DaprProtos.InvokeActorRequest.Builder` `clearMetadata()`
`DaprProtos.InvokeActorRequest.Builder` `clearMethod()` `string method = 3;`
`DaprProtos.InvokeActorRequest.Builder` `clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
`DaprProtos.InvokeActorRequest.Builder` `clone()`
`boolean` `containsMetadata​(String key)` `map<string, string> metadata = 5;`
`String` `getActorId()` `string actor_id = 2;`
`com.google.protobuf.ByteString` `getActorIdBytes()` `string actor_id = 2;`
`String` `getActorType()` `string actor_type = 1;`
`com.google.protobuf.ByteString` `getActorTypeBytes()` `string actor_type = 1;`
`com.google.protobuf.ByteString` `getData()` `bytes data = 4;`
`DaprProtos.InvokeActorRequest` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor` `getDescriptorForType()`
`Map<String,​String>` `getMetadata()` Deprecated.
`int` `getMetadataCount()` `map<string, string> metadata = 5;`
`Map<String,​String>` `getMetadataMap()` `map<string, string> metadata = 5;`
`String` `getMetadataOrDefault​(String key, String defaultValue)` `map<string, string> metadata = 5;`
`String` `getMetadataOrThrow​(String key)` `map<string, string> metadata = 5;`
`String` `getMethod()` `string method = 3;`
`com.google.protobuf.ByteString` `getMethodBytes()` `string method = 3;`
`Map<String,​String>` `getMutableMetadata()` Deprecated.
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`protected com.google.protobuf.MapField` `internalGetMapField​(int number)`
`protected com.google.protobuf.MapField` `internalGetMutableMapField​(int number)`
`boolean` `isInitialized()`
`DaprProtos.InvokeActorRequest.Builder` `mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`DaprProtos.InvokeActorRequest.Builder` `mergeFrom​(com.google.protobuf.Message other)`
`DaprProtos.InvokeActorRequest.Builder` `mergeFrom​(DaprProtos.InvokeActorRequest other)`
`DaprProtos.InvokeActorRequest.Builder` `mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)`
`DaprProtos.InvokeActorRequest.Builder` `putAllMetadata​(Map<String,​String> values)` `map<string, string> metadata = 5;`
`DaprProtos.InvokeActorRequest.Builder` `putMetadata​(String key, String value)` `map<string, string> metadata = 5;`
`DaprProtos.InvokeActorRequest.Builder` `removeMetadata​(String key)` `map<string, string> metadata = 5;`
`DaprProtos.InvokeActorRequest.Builder` `setActorId​(String value)` `string actor_id = 2;`
`DaprProtos.InvokeActorRequest.Builder` `setActorIdBytes​(com.google.protobuf.ByteString value)` `string actor_id = 2;`
`DaprProtos.InvokeActorRequest.Builder` `setActorType​(String value)` `string actor_type = 1;`
`DaprProtos.InvokeActorRequest.Builder` `setActorTypeBytes​(com.google.protobuf.ByteString value)` `string actor_type = 1;`
`DaprProtos.InvokeActorRequest.Builder` `setData​(com.google.protobuf.ByteString value)` `bytes data = 4;`
`DaprProtos.InvokeActorRequest.Builder` `setField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`DaprProtos.InvokeActorRequest.Builder` `setMethod​(String value)` `string method = 3;`
`DaprProtos.InvokeActorRequest.Builder` `setMethodBytes​(com.google.protobuf.ByteString value)` `string method = 3;`
`DaprProtos.InvokeActorRequest.Builder` `setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
`DaprProtos.InvokeActorRequest.Builder` `setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, isClean, markClean, newBuilderForField, onBuilt, onChanged, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetMapField

    protected com.google.protobuf.MapField internalGetMapField​(int number)

Overrides:
  `internalGetMapField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.InvokeActorRequest.Builder>`

#### internalGetMutableMapField

    protected com.google.protobuf.MapField internalGetMutableMapField​(int number)

Overrides:
  `internalGetMutableMapField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.InvokeActorRequest.Builder>`

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.InvokeActorRequest.Builder>`

#### clear

    public DaprProtos.InvokeActorRequest.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.InvokeActorRequest.Builder>`

#### getDescriptorForType

    public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.InvokeActorRequest.Builder>`

#### getDefaultInstanceForType

    public DaprProtos.InvokeActorRequest getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

#### build

    public DaprProtos.InvokeActorRequest build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

#### buildPartial

    public DaprProtos.InvokeActorRequest buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

#### clone

    public DaprProtos.InvokeActorRequest.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.InvokeActorRequest.Builder>`

#### setField

    public DaprProtos.InvokeActorRequest.Builder setField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                          Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.InvokeActorRequest.Builder>`

#### clearField

    public DaprProtos.InvokeActorRequest.Builder clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.InvokeActorRequest.Builder>`

#### clearOneof

    public DaprProtos.InvokeActorRequest.Builder clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.InvokeActorRequest.Builder>`

#### setRepeatedField

    public DaprProtos.InvokeActorRequest.Builder setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                                  int index,
                                                                  Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.InvokeActorRequest.Builder>`

#### addRepeatedField

    public DaprProtos.InvokeActorRequest.Builder addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                                  Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.InvokeActorRequest.Builder>`

#### mergeFrom

    public DaprProtos.InvokeActorRequest.Builder mergeFrom​(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<DaprProtos.InvokeActorRequest.Builder>`

#### mergeFrom

    public DaprProtos.InvokeActorRequest.Builder mergeFrom​(DaprProtos.InvokeActorRequest other)

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.InvokeActorRequest.Builder>`

#### mergeFrom

    public DaprProtos.InvokeActorRequest.Builder mergeFrom​(com.google.protobuf.CodedInputStream input,
                                                           com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                    throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<DaprProtos.InvokeActorRequest.Builder>`
Throws:
  `IOException`

#### getActorType

    public String getActorType()

`string actor_type = 1;`

Specified by:
  `getActorType` in interface `DaprProtos.InvokeActorRequestOrBuilder`
Returns:
  The actorType.

#### getActorTypeBytes

    public com.google.protobuf.ByteString getActorTypeBytes()

`string actor_type = 1;`

Specified by:
  `getActorTypeBytes` in interface `DaprProtos.InvokeActorRequestOrBuilder`
Returns:
  The bytes for actorType.

#### setActorType

    public DaprProtos.InvokeActorRequest.Builder setActorType​(String value)

`string actor_type = 1;`

Parameters:
  `value` - The actorType to set.
Returns:
  This builder for chaining.

#### clearActorType

    public DaprProtos.InvokeActorRequest.Builder clearActorType()

`string actor_type = 1;`

Returns:
  This builder for chaining.

#### setActorTypeBytes

    public DaprProtos.InvokeActorRequest.Builder setActorTypeBytes​(com.google.protobuf.ByteString value)

`string actor_type = 1;`

Parameters:
  `value` - The bytes for actorType to set.
Returns:
  This builder for chaining.

#### getActorId

    public String getActorId()

`string actor_id = 2;`

Specified by:
  `getActorId` in interface `DaprProtos.InvokeActorRequestOrBuilder`
Returns:
  The actorId.

#### getActorIdBytes

    public com.google.protobuf.ByteString getActorIdBytes()

`string actor_id = 2;`

Specified by:
  `getActorIdBytes` in interface `DaprProtos.InvokeActorRequestOrBuilder`
Returns:
  The bytes for actorId.

#### setActorId

    public DaprProtos.InvokeActorRequest.Builder setActorId​(String value)

`string actor_id = 2;`

Parameters:
  `value` - The actorId to set.
Returns:
  This builder for chaining.

#### clearActorId

    public DaprProtos.InvokeActorRequest.Builder clearActorId()

`string actor_id = 2;`

Returns:
  This builder for chaining.

#### setActorIdBytes

    public DaprProtos.InvokeActorRequest.Builder setActorIdBytes​(com.google.protobuf.ByteString value)

`string actor_id = 2;`

Parameters:
  `value` - The bytes for actorId to set.
Returns:
  This builder for chaining.

#### getMethod

    public String getMethod()

`string method = 3;`

Specified by:
  `getMethod` in interface `DaprProtos.InvokeActorRequestOrBuilder`
Returns:
  The method.

#### getMethodBytes

    public com.google.protobuf.ByteString getMethodBytes()

`string method = 3;`

Specified by:
  `getMethodBytes` in interface `DaprProtos.InvokeActorRequestOrBuilder`
Returns:
  The bytes for method.

#### setMethod

    public DaprProtos.InvokeActorRequest.Builder setMethod​(String value)

`string method = 3;`

Parameters:
  `value` - The method to set.
Returns:
  This builder for chaining.

#### clearMethod

    public DaprProtos.InvokeActorRequest.Builder clearMethod()

`string method = 3;`

Returns:
  This builder for chaining.

#### setMethodBytes

    public DaprProtos.InvokeActorRequest.Builder setMethodBytes​(com.google.protobuf.ByteString value)

`string method = 3;`

Parameters:
  `value` - The bytes for method to set.
Returns:
  This builder for chaining.

#### getData

    public com.google.protobuf.ByteString getData()

`bytes data = 4;`

Specified by:
  `getData` in interface `DaprProtos.InvokeActorRequestOrBuilder`
Returns:
  The data.

#### setData

    public DaprProtos.InvokeActorRequest.Builder setData​(com.google.protobuf.ByteString value)

`bytes data = 4;`

Parameters:
  `value` - The data to set.
Returns:
  This builder for chaining.

#### clearData

    public DaprProtos.InvokeActorRequest.Builder clearData()

`bytes data = 4;`

Returns:
  This builder for chaining.

#### getMetadataCount

    public int getMetadataCount()

Description copied from interface: `DaprProtos.InvokeActorRequestOrBuilder`
`map<string, string> metadata = 5;`

Specified by:
  `getMetadataCount` in interface `DaprProtos.InvokeActorRequestOrBuilder`

#### containsMetadata

    public boolean containsMetadata​(String key)

`map<string, string> metadata = 5;`

Specified by:
  `containsMetadata` in interface `DaprProtos.InvokeActorRequestOrBuilder`

#### getMetadata

    @Deprecated
    public Map<String,​String> getMetadata()

Deprecated.
Use `getMetadataMap()` instead.

Specified by:
  `getMetadata` in interface `DaprProtos.InvokeActorRequestOrBuilder`

#### getMetadataMap

    public Map<String,​String> getMetadataMap()

`map<string, string> metadata = 5;`

Specified by:
  `getMetadataMap` in interface `DaprProtos.InvokeActorRequestOrBuilder`

#### getMetadataOrDefault

    public String getMetadataOrDefault​(String key,
                                       String defaultValue)

`map<string, string> metadata = 5;`

Specified by:
  `getMetadataOrDefault` in interface `DaprProtos.InvokeActorRequestOrBuilder`

#### getMetadataOrThrow

    public String getMetadataOrThrow​(String key)

`map<string, string> metadata = 5;`

Specified by:
  `getMetadataOrThrow` in interface `DaprProtos.InvokeActorRequestOrBuilder`

#### clearMetadata

    public DaprProtos.InvokeActorRequest.Builder clearMetadata()

#### removeMetadata

    public DaprProtos.InvokeActorRequest.Builder removeMetadata​(String key)

`map<string, string> metadata = 5;`

#### getMutableMetadata

    @Deprecated
    public Map<String,​String> getMutableMetadata()

Deprecated.
Use alternate mutation accessors instead.

#### putMetadata

    public DaprProtos.InvokeActorRequest.Builder putMetadata​(String key,
                                                             String value)

`map<string, string> metadata = 5;`

#### putAllMetadata

    public DaprProtos.InvokeActorRequest.Builder putAllMetadata​(Map<String,​String> values)

`map<string, string> metadata = 5;`

#### setUnknownFields

    public final DaprProtos.InvokeActorRequest.Builder setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.InvokeActorRequest.Builder>`

#### mergeUnknownFields

    public final DaprProtos.InvokeActorRequest.Builder mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.InvokeActorRequest.Builder>`